VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig Class Reference

`Snmp.SNMPHashConfig` class Structure to provide up to two secrets to combine with the SNMPv3 engine ID and authentication or privacy protocol to form a localized hash. More...

List of all members.

## Public Member Functions
| SNMPHashConfig ()
| Creates a default new instance.
string | GetAuthHash ()
| Provide filename to secret for authentication hash, use in set --users (required secret)
void | SetAuthHash (string authHash)
| Provide filename to secret for authentication hash, use in set --users (required secret)
string | GetPrivHash ()
| Provide filename to secret for privacy hash, use in set --users (secret)
void | SetPrivHash (string privHash)
| Provide filename to secret for privacy hash, use in set --users (secret)
bool | GetRawSecret ()
| Make --auth_path and --priv_path flags read raw secret from command line instead of file.
void | SetRawSecret (bool rawSecret)
| Make --auth_path and --priv_path flags read raw secret from command line instead of file.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPHashConfig` class Structure to provide up to two secrets to combine with the SNMPv3 engine ID and authentication or privacy protocol to form a localized hash.

auth_hash is always required, priv_hash can be empty. By default arguments are paths on the local filesystem, raw_secret takes path to be the actual raw secret. First implementation was in ESXi: esxcli system snmp hash --help

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::SNMPHashConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::GetAuthHash | ( |  | ) | `[inline]`

Provide filename to secret for authentication hash, use in set --users (required secret)

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::GetPrivHash | ( |  | ) | `[inline]`

Provide filename to secret for privacy hash, use in set --users (secret)

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::GetRawSecret | ( |  | ) | `[inline]`

Make --auth_path and --priv_path flags read raw secret from command line instead of file.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::SetAuthHash | ( | string | authHash | ) | `[inline]`

Provide filename to secret for authentication hash, use in set --users (required secret)

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::SetPrivHash | ( | string | privHash | ) | `[inline]`

Provide filename to secret for privacy hash, use in set --users (secret)

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::SetRawSecret | ( | bool | rawSecret | ) | `[inline]`

Make --auth_path and --priv_path flags read raw secret from command line instead of file.

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPHashConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs